From 3b0c98805944aaaa404208e1cd66bec8c6216636 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 01 2020 22:08:57 +0000
Subject: [PATCH 76/2232] Expose snake case type aliases


---

diff --git a/include/cxxbridge.h b/include/cxxbridge.h
index 3107668..4fc1bf9 100644
--- a/include/cxxbridge.h
+++ b/include/cxxbridge.h
@@ -128,5 +128,10 @@ private:
 std::ostream &operator<<(std::ostream &os, const String &s);
 std::ostream &operator<<(std::ostream &os, const Str &s);
 
+// Snake case aliases for use in code that uses this style for type names.
+using string = String;
+using str = Str;
+template <class T> using box = Box<T>;
+
 } // namespace cxxbridge01
 } // namespace rust

